liblrdf (0.6.1-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Move lrdf.pc to a multiarch location. (Closes: #944200)

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  - d/changelog: Remove trailing whitespaces
  - d/control: Set Vcs-* to salsa.debian.org
  - d/copyright: Use https protocol in Format field

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 21:51:02 +0100

liblrdf (0.6.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Stop track autotools files: No longer included upstream.
  * Update package relations:
    + Fix stop bogusly build-depend on autotools-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jan 2017 19:50:09 +0100

liblrdf (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for autotools files.
    + Fix cover all Makefile.in files.
    + Fix add Files section for libtool.
    + Add trailing dot to FSF owner string.
    + Add Files section for md5 files (in the public domain).
  * Stop build-depend on libssl-dev: No longer needed.
  * Unfuzz patch 1001.
  * Re-add and adapt patch 1002 to rename badly named md5 symbols.
  * Update symbols file: Add 3 sybols: _lrdf_MD5_*.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jan 2017 18:47:08 +0100

liblrdf (0.5.0-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Put aside more autotools files during build, and stop clean m4 dir.
  * Update copyright info:
    + Drop sections for no longer shipped MD5-related files.
  * Update package relations:
    + Build-depend on libraptor2-dev (not libraptor1-dev).
    + Build-depend on libssl-dev.
    + Tighten build-dependency on d-shlibs.
  * Drop patch 1002: Obsolete.
  * Unfuzz patch 1001.
  * Update symbols file: Drop 6 sybols: _lrdf_md5_*.
  * Add lintian override regarding upstream-shipped autotools files
    (moved aside during build).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Jan 2017 13:49:38 +0100

liblrdf (0.4.0-8) unstable; urgency=medium

  * Update watch file:
    + Bump to file format 4.
    + Use github pattern.
    + Mention gbp --uscan in usage comment.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Declare compliance with Debian Policy 3.9.8.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update copyright info:
    + Merge Files sections with equal license.
    + Extend coverage of Debian packaging.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Jan 2017 22:12:49 +0100

liblrdf (0.4.0-7) unstable; urgency=medium

  * Update copyright info: Add initial catch-all Files section.
  * Add symbols file.
  * Tidy patches, and add DEP5 headers.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Feb 2016 11:13:19 +0100

liblrdf (0.4.0-6) unstable; urgency=medium

  * Add README.source emphasizing control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Remove obsolete field DM-Upload-Allowed.
  * Modernize Vcs-* fields: Use https protocol and cgit service.
  * Declare compliance with Debian Policy 3.9.7.
  * Update URLs to reflect upstream move to Github.
  * Update copyright info:
    + Extend copyright of packaging to cover recent years.
    + Migrate to file format 1.0.
    + Use License short-names X11 FSFUL (and derivations) RSA-MD.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#s786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Use unversioned automake (and autoconf).
    Build-depend on automake (not automake1.11).
  * Have cdbs handle putting aside upstream cruft during build.
  * Fix move (not copy) aside upstream cruft during build, and force
    rebuilding it.
    Tighten to build-depen on recent cdbs.
    Closes: Bug#814496. Thanks to Chris Lamb.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Feb 2016 12:44:12 +0100

liblrdf (0.4.0-5) unstable; urgency=low

  * Team upload.
  * Get rid of unneeded *.la files (Closes: #621598).
  * The short-description should not start with an article, fix another
    lintian warning.
  * Update Standards-Version to 3.9.2.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 15:44:06 +0200

liblrdf (0.4.0-4) unstable; urgency=low

  [ Adrian Knoth ]
  * Explicitly depend on versioned libraptor.
    Closes: #613675.
  * Add myself as uploader.
  * Allow DMs to upload the package.
  * Bump standards version.

  [ Jonas Smedegaard ]
  * Maintain build-dependencies in rules file and add reasoning comment.
  * Tidy control file:
    + Shorten Vcs-* URLs.
    + Wrap long descriptions at 72 chars.
    + Newline-delimit package relations.
  * Extend copyright years in rules file header.
  * Rewrite copyright file using draft svn166 of DEP5 format.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Feb 2011 14:43:23 +0100

liblrdf (0.4.0-3) unstable; urgency=medium

  * Stop relaxing build rules only required in DEB_MAINTAINER_MODE, and
    related relaxing/suppression of build-dependencies: We rely on
    copyright-check rule for putting aside upstream autobuilt files
    during build, so always need a new CDBS.
  * Tighten build-dependency on cdbs to be versioned.
  * Build-depend on devscripts and dh-buildinfo.
  * Set urgency=medium as above affects only packaging hints and the
    prior 0.4.0-2 release was kept from entering testing due to a too
    old version of cdbs on hppa buildd.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Mar 2010 10:07:05 +0200

liblrdf (0.4.0-2) unstable; urgency=low

  * Friendly takeover: Move packaging to Debian Multimedia Maintainers,
    with myself as uploader. Thanks for your past contributions, Robert!
  * Packaging now maintained using Git: Add Vcs-* stanzas to control
    file.
  * Enable CDBS semi-automated control file updating.
  * Enable CDBS copyright check (weak-included to ease backporting).
  * Enable CDBS get-orig-source handling.
  * Enable CDBS autoreconf. Revert source-applied autoreconf.
  * Use dpkg source format "3.0 (quilt)".
  * Add proper licensing header to debian/rules.
  * Rewrite copyright file conforming to draft DEP5 rev. 135.
  * Add Homepage stanza to control file.
  * Update URL to upstream source.
  * Rewrite watch file. Closes: bug#449752, thanks to Raphael Geissert.
  * Relax build-dependency on libraptor1-dev to be unversioned (needed
    version satisfied in oldstable).
  * Bump debhelper compat level to 6 (new enough to be modern, while
    still ease backporting. Tighten build-dependency accordingly.
  * Install files and resolve development dependencies using d-shlibs.
  * Use ${binary:Version} (not ${Source-Version}), and relax library
    package suggestion on development header package to be unversioned.
  * Set section in source section, thanks to lintian.
  * Use ${misc:Depends}.
  * Bump Standards-Version to 3.8.4.
  * Isolate patch 1001 disabling libtool -version-info.
  * Isolate patch 1002 renaming clashing md5 symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Mar 2010 06:51:49 +0100

liblrdf (0.4.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * src/lrdf_md5.h: Fix symbol conflicts with other MD5 implementations.
    Exporting symbols like md5_init() is not a good idea. This fixes
    the crashes when initializing the GStreamer when the LADSPA plugin
    is installed (which should be the case in all installations).
    Essentially this made pidgin, empathy, totem and a lot of other
    applications unusable (Closes: #521898).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 04 Apr 2009 12:01:07 +0200

liblrdf (0.4.0-1.1) unstable; urgency=low

  * NMU.
  * debian/control: Stop needlessly build depending on
    automake1.8. (Closes: #473327)

 -- Eric Dorland <eric@debian.org>  Sat, 03 May 2008 01:23:09 -0400

liblrdf (0.4.0-1) unstable; urgency=low

  * new upstream release

 -- Robert Jordens <jordens@debian.org>  Mon, 20 Dec 2004 09:17:16 +0100

liblrdf (0.3.7-3) unstable; urgency=medium

  * debian/watch: added
  * otherwise simply rebuild because arm and sparc buildds failed on 0.3.7-1
    due to a broken libraptor-dev and didn't bother to requeue during 60 days
    neither reacted to pings about the issue.
    Urgency medium to hurry into testing after 60 days of waiting.

 -- Robert Jordens <jordens@debian.org>  Sun,  8 Aug 2004 09:59:13 +0200

liblrdf (0.3.7-2) unstable; urgency=low

  * fix package description (its XML, not XLM; add a missing full stop);
    closes: Bug#253558

 -- Robert Jordens <jordens@debian.org>  Fri, 11 Jun 2004 00:27:56 +0200

liblrdf (0.3.7-1) unstable; urgency=low

  * new upstream relese

 -- Robert Jordens <jordens@debian.org>  Tue, 11 May 2004 14:26:10 +0200

liblrdf (0.3.5-2) unstable; urgency=low

  * src/Makefile.am: reset SONAME to 0. There was no need to change it need.
    Would break everything.
  * debian/control: Build-Depend on automake-1.7, autoconf, libtool
    closes: Bug#240085

 -- Robert Jordens <jordens@debian.org>  Thu, 25 Mar 2004 20:53:54 +0100

liblrdf (0.3.5-1) unstable; urgency=low

  * new upstream version

 -- Robert Jordens <jordens@debian.org>  Thu, 25 Mar 2004 14:32:23 +0100

liblrdf (0.3.2-2) unstable; urgency=low

  * compile against libraptor1-dev, closes: Bug#229418

 -- Robert Jordens <jordens@debian.org>  Sat, 24 Jan 2004 22:23:39 +0100

liblrdf (0.3.2-1) unstable; urgency=low

  * new upstream release
  * debian/rules: converted to cdbs, use dh-buildinfo
  * debian/control: Build-Depends dh-buildinfo, cdbs
  * debian/*.files replaced by debian/*.install (dh_install)

 -- Robert Jordens <jordens@debian.org>  Sat, 27 Sep 2003 00:17:13 +0200

liblrdf (0.3.1-4) unstable; urgency=low

  * debian/control: liblrdf0-dev is section libdevel
  * debian/control: changed rjo@gmx.de to jordens@debian.org
  * debian/rules DEB_BUILD_OPTS uses noopt now.

 -- Robert Jordens <jordens@debian.org>  Tue,  2 Sep 2003 22:18:02 +0200

liblrdf (0.3.1-3) unstable; urgency=low

  * debian/control: Build-Depends (and liblrdf0-dev: Depends:) cleaned up,
    since libraptor0-dev is fixed (#204539)

 -- Robert Jordens <rjo@gmx.de>  Wed,  6 Aug 2003 13:52:45 +0200

liblrdf (0.3.1-2) unstable; urgency=low

  * debian/control: liblrdf0-dev depends libraptor0-dev, ldaspa-sdk
    (closes: #202768)
  * comply with Policy 3.6.0: no changes

 -- Robert Jordens <rjo@gmx.de>  Fri, 25 Jul 2003 13:57:32 +0200

liblrdf (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Robert Jordens <rjo@gmx.de>  Sat,  3 May 2003 11:15:21 +0200

liblrdf (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Jordens <rjo@gmx.de>  Mon, 31 Mar 2003 01:05:22 +0200

liblrdf (0.2.3-1) unstable; urgency=low

  * Initial Release.

 -- Robert Jordens <rjo@gmx.de>  Sat, 15 Feb 2003 15:06:04 +0100

